typedef struct {
   char *name;
   ImlibImage *im;
   int w, h;
   int parts;
} ImageDat;

ImageDat *LoadImage(char *file);
void FreeImageDat(ImageDat * dat);

typedef struct {
   char *imagename;
   int ow, oh;
   int x, y, w, h;
   ImageDat **images;
   int number;
   int middle_peak;
   int delta;
   double scale_w, scale_h;
} ImageList;


ImageList *ConfigImageList(FILE * file);
void LoadSingleImageList(ImageList *list, int num);
void ScaleImageList(ImageList * list, double scale_w, double scale_h);
void FreeImageList(ImageList * list);
